import { Tree as MemoryTree } from "@canvas-js/okra-memory";
import { ModelDB } from "@canvas-js/modeldb-idb";
import { AbstractGossipLog, GossipLogInit } from "../AbstractGossipLog.js";
export interface Options {
    name?: string;
    version?: number;
}
export declare class GossipLog<Payload> extends AbstractGossipLog<Payload> {
    readonly db: ModelDB;
    readonly tree: MemoryTree;
    static open<Payload>({ name, version, ...init }: GossipLogInit<Payload> & Options): Promise<GossipLog<Payload>>;
    private constructor();
}
